import { SvelteComponentTyped } from "svelte";

declare module 'svelte-grid-responsive/stores.js';

declare module 'svelte-grid-responsive' {
	interface GridProps {
		container: boolean;
		columns: number;
		gutter?: number;
		order?: number;
		xs?: number;
		sm?: number;
		md?: number;
		lg?: number;
		xl?: number;
		xsOffset?: number;
		smOffset?: number;
		mdOffset?: number;
		lgOffset?: number;
		xlOffset?: number;
	}

	class Grid extends SvelteComponentTyped<
		GridProps,
		{  },
		{  }
	> {}

	export default Grid;
}

